/*** Main.cpp ***/

#include "MixedDomainFilter.h"
#include <iostream>
#include <cmath>

void main() {
	/* Examples of calling the functions */
	manipulationRGB("tent.png", "tent-contrast.png", 1.0, 1.8, 0.1);
	manipulationRGB("tent.png", "tent-smoothing.png", 0.3, 1.0, 0.18);
	manipulationRGB("tent.png", "tent-enhancing.png", 4.0, 1.0, 0.18);

	HDRCompression("belgium.hdr", "belgium-4.0-0.1.png", 4.0, 0.1, log(2.5));

	NPRProcess("dali.png", "dali-npr.png", 0.15);

	deHaze("pum-hazy.png", "pum-result.png");
	deHaze("toy-hazy.png", "toy-result.png");
}
